## ros-jazzy-depthai 2.28.0

=== debian/changelog ===
ros-jazzy-depthai (2.28.0-1bookworm) bookworm; urgency=high

  Features
  * Changed the automatic crashdump collection to always on unless DEPTHAI_DISABLE_CRASHDUMP_COLLECTION is set.
  * Added DEPTHAI_ENABLE_ANALYTICS_COLLECTION environment varialbe - when set, analytic data (pipeline schema) is sent to Luxonis which will be used to further improve the library.
  * Undistort both outputs of ToF by default.
  * Improved 3A syncing on OAK-D-LR
  * Added support for YoloV10
  * Bug fixes
  * Fix Camera node to correctly allocate resources for undistortion
  * Fix StereoDepth node when decimation filter and depth alignment are used
  * Fix host timestamps of thermal frames to be synced
  * Misc
  * Updated XLink to support clangd and shared libraries on Windows:
  * luxonis/XLink#81
  * luxonis/XLink#84
  * Remove a custom assert to always produce a crash dump to improve the UX with the automatic crashdump collection
  * Increased watchdog priority on device side to improve stability during high load

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 20 Aug 2024 22:00:00 -0000

ros-jazzy-depthai (2.26.1-1bookworm) bookworm; urgency=high

  * Fix building shared libs (ROS only)

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 11 Jun 2024 22:00:00 -0000

ros-jazzy-depthai (2.26.0-1bookworm) bookworm; urgency=high

  * PointCloud node along with the PointCloudData message
  * On device pointcloud generation
  * Native conversion to PCL message type - similar to getCvFrame()
  * Support for the OAK Thermal
  * New setManualFocusRaw() API with more granularity for setting manual focus position
  * New getStereoPairs() and getAvailableStereoPairs() API to allow more device agnostic programming
  * Add the intensity output to the ToF node
  * Add the crop sensor configs in getConnectedCameraFeatures() now contain how each of the resolutions is cropped from the native sensor resolution
  * Added DeviceBootloader::getFlashedVersion to retrieve the bootloader version that is flashed on device.
  * ImageAlign node
  * it can align depth to any other sensor on the device - works for ToF too.
  * it can align two sensors with each other using intrinsics only, useful for thermal-rgb alignment
  * Cast node
  * Cast NNData message to ImgFrame
  * Useful in case apps need to use outputs from NeuralNetwork node to be fed into nodes that only accept ImgFrame
  * Full ToF support
  * Running live at 30 FPS
  * Measuring range of 20cm - 6m
  * < 1% error across the range
  * Support for ToF in spatial nodes
  * Add an option to limit bandwidth over XLink setXLinkRateLimit(int maxRateBytesPerSecond, int burstSize, int delayUs)
  * Bug fix for v2.24.0 regression with flashing the bootloader link
  * Bug fix in message groups for large resolution frames when going through XLinkOut node
  * Bug fix to apply AE limit during AF lens movement (before the fix, the AE limit wasn't applied during active AF movements)
  * Bug fix for grayscale VideoEncoder node with 2 inputs of different sizes
  * Fix timings for IMX214 4K resolution, which were slightly off
  * Fixed fsync on OAK-D-SR.
  * Fixed boot issue on OAK-D-SR-POE and OAK-T.
  * Fixed compilation in same cases, because of problems with jsoncpp. (#980)
  * Improved PoE stability on reboots - eliminate the case where powercycle of the device was sometimes needed
  * Improved runtime stability of heavy pipelines by increasing priority of the cameras in the NoC
  * Improved ImageManip stability
  * Improved XLink communication to be able to detect memory corruption and avoid it
  * Fix a bug where stereo rectification was inaccurate when the calibration data didn't contain direct link between the two inputs
  * Relevant for custom setups on FFC devices
  * Improve numerical stability of the rectification algorithm
  * Improves stereo quality on wide FOV sensors
  * Contributors: Alex Bougdan, Szabolcs Gergely, Martin Peterlin

 -- Adam Serafin <adam.serafin@luxonis.com>  Sun, 26 May 2024 22:00:00 -0000

ros-jazzy-depthai (2.24.0-1bookworm) bookworm; urgency=high

  * New nodes and messages:
  * Sync node - syncs multiple inputs based on the timestamp, outputs a message group message
  * Demux node - demultiplexes message group in multiple messages
  * Message group message - a new message that can contain a map of arbitrary depthai messages, it's the output of the sync node and input to the demux node
  * Encoded frame message - a new message specialized for encoded frames
  * New output for the VideoEncoder node (out) for the encoded frame message
  * Automatic crash dump retrieval for firmware crashes
  * Added setIrFloodLightIntensity and setIrLaserDotProjectorIntensity methods for setting the intensity normalized between 0 and 1
  * Added getConnectionInterfaces method to retrieve the list of available interfaces on a device
  * Added an option to cap maximum time for exposure when using auto exposure with setAutoExposureLimit
  * Initial integration for IMX283 and IMX462
  * Improve time-syncing between the host and device to achieve sub 300 us offset
  * Improved max FPS and image quality under low light for OV9282 and OV9782 #926 ,new ranges per resolution of:
  * THE_800_P: 1.687 .. 129.6 fps
  * THE_720_P: 1.687 .. 143.1 fps
  * THE_400_P: 1.687 .. 255.7 fps
  * Avoid overflow for XLink profiling #933
  * Improve XLink stability when using multiple devices luxonis/XLink#73
  * Fix a rare bug where the device would hand in the constructor #922
  * Fix a bug where XLinkIn didn't work correctly for very small and very large buffers
  * Fix a bug for running multiple stereo nodes with a shared input
  * On multi-input NeuralNetworks set the output NNData to the newest input timestamp (previously undefined)
  * Add NOC DDR usage reporting on DEPTHAI_LEVEL=info
  * Contributors: Alex Bougdan, Szabolcs Gergely, Martin Peterlin

 -- Adam Serafin <adam.serafin@luxonis.com>  Thu, 01 Feb 2024 23:00:00 -0000


